Recent

Author Topic: FPC 3.2.x series branched, trunk update to 3.3.1  (Read 66101 times)

Seenkao

  • Jr. Member
  • **
  • Posts: 55
Re: FPC 3.2.x series branched, trunk update to 3.3.1
« Reply #180 on: May 19, 2020, 02:38:56 pm »
BSaidus, благодарю, но это не решает проблемы. Проблема видимо из-за разных сборок как FPC, так и Lazarus.
больше помогает полная очистка и заново переустановка Lazarus и FPC.

PascalDragon, та часть которая показывает ошибку, на английском.
Linux, при использовании FPC 3.3.1 + CodeTyphon (или GetLazarus) + ZenGL выдаётся ошибка
Error: RunError(211)

При таких же данных, только используя FPC 3.0.4 ошибок не выдаётся.

На Windows, оказывается, тоже есть эта ошибка, только там создаётся файл рабочий, а вот из Lazarus не даёт его запустить и невозможно запустить процесс отладки.

Честно говоря, мне уже надоели эти танцы с бубном вокруг Lazarus и FPC, хоть самому занимайся разработкой.

Google translate (english):
BSaidus, thank you, but this does not solve the problem. The problem is probably due to different builds of both FPC and Lazarus.
The full cleaning and reinstallation of Lazarus and FPC helps more.

PascalDragon, the part that shows the error is in English.
Linux, using FPC 3.3.1 + CodeTyphon (or GetLazarus) + ZenGL error
Error: RunError (211)

With the same data, only using FPC 3.0.4 errors are not thrown.

On Windows, it turns out that there is also this error, only a working file is created there, but from Lazarus it does not start it and it is impossible to start the debugging process.

Honestly, I’m already tired of these dances with a tambourine around Lazarus and FPC, at least do the development yourself.

Извиняюсь, даже не подгонял перевод, надеюсь понятно.

BSaidus

  • Sr. Member
  • ****
  • Posts: 333
  • lazarus 1.8.4 Win8.1 / cross FreeBSD
Re: FPC 3.2.x series branched, trunk update to 3.3.1
« Reply #181 on: May 19, 2020, 03:48:27 pm »
BSaidus, благодарю, но это не решает проблемы. Проблема видимо из-за разных сборок как FPC, так и Lazarus.
больше помогает полная очистка и заново переустановка Lazarus и FPC.

PascalDragon, та часть которая показывает ошибку, на английском.
Linux, при использовании FPC 3.3.1 + CodeTyphon (или GetLazarus) + ZenGL выдаётся ошибка
Error: RunError(211)

При таких же данных, только используя FPC 3.0.4 ошибок не выдаётся.

На Windows, оказывается, тоже есть эта ошибка, только там создаётся файл рабочий, а вот из Lazarus не даёт его запустить и невозможно запустить процесс отладки.

Честно говоря, мне уже надоели эти танцы с бубном вокруг Lazarus и FPC, хоть самому занимайся разработкой.

Google translate (english):
BSaidus, thank you, but this does not solve the problem. The problem is probably due to different builds of both FPC and Lazarus.
The full cleaning and reinstallation of Lazarus and FPC helps more.

PascalDragon, the part that shows the error is in English.
Linux, using FPC 3.3.1 + CodeTyphon (or GetLazarus) + ZenGL error
Error: RunError (211)

With the same data, only using FPC 3.0.4 errors are not thrown.

On Windows, it turns out that there is also this error, only a working file is created there, but from Lazarus it does not start it and it is impossible to start the debugging process.

Honestly, I’m already tired of these dances with a tambourine around Lazarus and FPC, at least do the development yourself.

Извиняюсь, даже не подгонял перевод, надеюсь понятно.

Поэтому я приложил использовать fpcupdeluxe .
Тогда сможешь использовать разные версии fpc и Lazarus в портативному состояние.
О packages можешь копировать из codetyphon .

Доверь меня, fpcupdeluxe это лучше способ работает спокоен
« Last Edit: May 19, 2020, 03:51:59 pm by BSaidus »
lazarus 1.8.4 Win8.1 / cross FreeBSD
dhukmucmur vernadh!

PascalDragon

  • Hero Member
  • *****
  • Posts: 2101
  • Compiler Developer
Re: FPC 3.2.x series branched, trunk update to 3.3.1
« Reply #182 on: May 19, 2020, 04:40:17 pm »
Google translate (english):
BSaidus, thank you, but this does not solve the problem. The problem is probably due to different builds of both FPC and Lazarus.
The full cleaning and reinstallation of Lazarus and FPC helps more.

PascalDragon, the part that shows the error is in English.
Linux, using FPC 3.3.1 + CodeTyphon (or GetLazarus) + ZenGL error
Error: RunError (211)

With the same data, only using FPC 3.0.4 errors are not thrown.

On Windows, it turns out that there is also this error, only a working file is created there, but from Lazarus it does not start it and it is impossible to start the debugging process.

Honestly, I’m already tired of these dances with a tambourine around Lazarus and FPC, at least do the development yourself.

You did not provide any information about what exactly you're doing. Just saying "RunError (211)" is like saying "My car is broken".

Поэтому я приложил использовать fpcupdeluxe .
Тогда сможешь использовать разные версии fpc и Lazarus в портативному состояние.
О packages можешь копировать из codetyphon .

Доверь меня, fpcupdeluxe это лучше способ работает спокоен

This is the general part of the forum, so replies only in English or at least with English translation included. Otherwise use the Russian forum, please.

BSaidus

  • Sr. Member
  • ****
  • Posts: 333
  • lazarus 1.8.4 Win8.1 / cross FreeBSD
Re: FPC 3.2.x series branched, trunk update to 3.3.1
« Reply #183 on: May 19, 2020, 05:04:25 pm »
This is the general part of the forum, so replies only in English or at least with English translation included. Otherwise use the Russian forum, please.

OK  :P!!
I've just recommande for it to use fpcupdeluxe to create a portable installation of fpc/lazarus in different versions flavour.
 ::)
lazarus 1.8.4 Win8.1 / cross FreeBSD
dhukmucmur vernadh!

Seenkao

  • Jr. Member
  • **
  • Posts: 55
Re: FPC 3.2.x series branched, trunk update to 3.3.1
« Reply #184 on: May 20, 2020, 06:20:23 am »

You did not provide any information about what exactly you're doing. Just saying "RunError (211)" is like saying "My car is broken".

Если бы Lazarus выдал больше информации при попытке запустить программу на Linux, я бы предоставил информации больше. Но ни какой информации Lazarus не предоставил, лишь: "Error: RunError(211)".
Какую ещё информацию я могу приложить?

Google translate:
If Lazarus would provide more information when trying to run a program on Linux, I would provide more information. But Lazarus did not provide any information, only: "Error: RunError (211)".
What other information can I attach?

Мне лично приходится разбираться для того чтоб запустить то или иное приложение сделанное на паскале, это далеко не первый раз! Я переустанавливал Lazarus несколько раз, не пробовал ещё просто из под FP работать, надо будет попробовать и уже более точно смогу сказать, виноваты здесь Lazarus или FPC.

Google translate:
I personally have to understand in order to run a particular application made in Pascal, this is not the first time! I reinstalled Lazarus several times, haven’t tried just to work from under FP, I’ll have to try and can more accurately say whether Lazarus or FPC are to blame.

Я разбираюсь с библиотекой ZenGL и дорабатываю её, но мало того что сама библиотека не доработана, так ещё приходиться разбираться по какой причине не запускаются те или иные приложения!!! >:(

FPCUPDELUXE - не решение проблемы!!!! Проверено!!!

Google translate:
I understand sort it out the ZenGL library and modify it, but not only the library itself is not finalized, I also have to understand for what reason these or those applications do not start !!! >:(

FPCUPDELUXE - not a solution to the problem !!!! Checked !!!
« Last Edit: May 20, 2020, 06:23:13 am by Seenkao »

PascalDragon

  • Hero Member
  • *****
  • Posts: 2101
  • Compiler Developer
Re: FPC 3.2.x series branched, trunk update to 3.3.1
« Reply #185 on: May 20, 2020, 09:21:29 am »
Google translate:
If Lazarus would provide more information when trying to run a program on Linux, I would provide more information. But Lazarus did not provide any information, only: "Error: RunError (211)".
What other information can I attach?

You did not provide any information on what you are doing. Did you create a GUI application project and run that? Did you create a simple application project and run that? Is it an older project you have? Details, please. Without that the problem space is huge.

Seenkao

  • Jr. Member
  • **
  • Posts: 55
Re: FPC 3.2.x series branched, trunk update to 3.3.1
« Reply #186 on: May 20, 2020, 09:39:44 am »
Изначально вся информация была предоставлена!!! Кроме как создано приложение без LCL.

Система - Linux (но видимо это есть и в Windows, не обращал изначально внимания)
FPC = 3.3.1 (в Windows при FPC = 3.2 те же проблемы)
IDE = CodeTyphon или GetLazarus, любой другой Lazarus!!! Проверено на многих версиях.
разработка в Linux - Linux, в Windows - Windows (без разницы 32 или 64)
используемая библиотека - ZenGL (можно проверить так же версию 3.12 от Andru) текущая версия 3.20

результат компиляции = ошибка (приложение не создаётся)

если использовать FPC = 3.0.4
то результат компиляции = нет ошибки, приложение создано, можно запускать, можно отлаживать!

попробую исключить включаемые модули, отпишусь, если будет результат.

Google translate:
Initially, all information was provided !!! Except how the application was created without LCL.

The system is Linux (but apparently this is also on Windows, it did not initially pay attention)
FPC = 3.3.1 (on Windows with FPC = 3.2 the same problems)
IDE = CodeTyphon or GetLazarus, any other Lazarus !!! Tested on many versions.
development on Linux - Linux, on Windows - Windows (no difference 32 or 64)
the library used is ZenGL (you can also check version 3.12 from Andru) current version 3.20

compilation result = error (application is not created)

if to use FPC = 3.0.4
then the compilation result = no error, the application is created, you can run, you can debug!

I'll try to exclude plug-ins, unsubscribe if there is a result.

PascalDragon

  • Hero Member
  • *****
  • Posts: 2101
  • Compiler Developer
Re: FPC 3.2.x series branched, trunk update to 3.3.1
« Reply #187 on: May 20, 2020, 09:44:53 am »
Google translate:
Initially, all information was provided !!! Except how the application was created without LCL.

The system is Linux (but apparently this is also on Windows, it did not initially pay attention)
FPC = 3.3.1 (on Windows with FPC = 3.2 the same problems)
IDE = CodeTyphon or GetLazarus, any other Lazarus !!! Tested on many versions.
development on Linux - Linux, on Windows - Windows (no difference 32 or 64)
the library used is ZenGL (you can also check version 3.12 from Andru) current version 3.20

compilation result = error (application is not created)

if to use FPC = 3.0.4
then the compilation result = no error, the application is created, you can run, you can debug!

I'll try to exclude plug-ins, unsubscribe if there is a result.

Now that there is new information: that the application is not created. Previously you only wrote that there is a run error. Do you get a compile error? Does the IDE say that it was successful and it's simply the binary that is missing? Can you compile an empty project?

Seenkao

  • Jr. Member
  • **
  • Posts: 55
Re: FPC 3.2.x series branched, trunk update to 3.3.1
« Reply #188 on: May 20, 2020, 09:58:35 am »
Я извиняюсь, но давайте расставим всё по местам!
Не надо держать меня за новичка. У меня уже и так нервов на всё не хватает.

при FPC=3.3.1 не компилируется в Linux! (RunError(211));
при FPC=3.3.1 компилируется в Windows! Не запускается! Без всяких сообщений со стороны Lazarus!

При FPC=3.0.4 компилируется и запускается и на Linux  и на Windows!!!
-----------------------------------

translate:
I'm sorry, but let's put everything in its place!
No need to keep me new to me. I already have enough nerves for everything.

with FPC = 3.3.1 it does not compile on Linux! (RunError (211));
with FPC = 3.3.1 compiles on Windows! Does not start! Without any message from Lazarus!

With FPC = 3.0.4, it compiles and runs on both Linux and Windows !!!
----------------------------------

Большая просьба подождать до тестов без включаемых в ZenGL библиотек, возможно смогу дать более точные данные.
------------------------------------

translate:
The big request is to wait until the tests without the libraries included in ZenGL, maybe I can give more accurate data.

Seenkao

  • Jr. Member
  • **
  • Posts: 55
Re: FPC 3.2.x series branched, trunk update to 3.3.1
« Reply #189 on: May 20, 2020, 10:03:01 am »
ZenGL-приложение нельзя сделать "пустым" - это изначально библиотека разработки. В обратном случае, я бы и написал, что не создаются приложения вообще. Все приложения!

translate:
A ZenGL application cannot be made "empty" - it is initially a development library. Otherwise, I would write that applications are not created at all. All applications!

Thaddy

  • Hero Member
  • *****
  • Posts: 10444
Re: FPC 3.2.x series branched, trunk update to 3.3.1
« Reply #190 on: May 20, 2020, 10:13:04 am »
So the issue is with ZenGL? and only ZenGL?
When you ask a question that is actually answered in the documentation, you are either lazy or a moron.

Seenkao

  • Jr. Member
  • **
  • Posts: 55
Re: FPC 3.2.x series branched, trunk update to 3.3.1
« Reply #191 on: May 20, 2020, 10:35:13 am »
Да, вы можете считать, что проблема только в ZenGL. Но я вам так же хочу напомнить! Что ZenGL использует прямые (нативные) библиотечные функции для работы с операционной системой. И те проблемы, что сейчас выползают в ZenGL вылезут позже в ещё более худшем варианте.

И если это не проблема включаемых, уже скомпилированных, библиотек, то процентов на 70 вы не раз с этой проблемой столкнётесь, но будете её игнорировать, а людям проще будет уйти на другой язык программирования, чем пытаться до кого-то достучаться.

Хотя... это ваше дело, можете не рассматривать данную проблему.

Ещё раз повторюсь, если будет проблема с включаемыми библиотеками - я отпишусь. И если будет проблема не в них - так же отпишусь!

Я просто надеялся, что вы уже сталкивались с подобной проблемой.

translate:
Yes, you can assume that the problem is only in ZenGL. But I also want to remind you! That ZenGL uses direct (native) library functions to work with the operating system. And those problems that are now creeping out in ZenGL will come out later in an even worse version.

And if this is not a problem of included libraries that have already been compiled, then 70 percent more than once you will encounter this problem, but you will ignore it, and it will be easier for people to leave for a different programming language than to try to reach out to someone.

Although ... this is your business, you can not consider this problem.

Once again, if there is a problem with included libraries, I will unsubscribe. And if there is a problem not in them - I will also unsubscribe!

I was just hoping that you were already facing a similar problem.

Thaddy

  • Hero Member
  • *****
  • Posts: 10444
Re: FPC 3.2.x series branched, trunk update to 3.3.1
« Reply #192 on: May 20, 2020, 10:46:50 am »
I was just hoping that you were already facing a similar problem.
No, because I do not use ZenGL, but I am always prepared to run tests for it.
Note some of the finer details get lost in translation, as my wife (Lithuanian, fluent in Russian) explained.
When you ask a question that is actually answered in the documentation, you are either lazy or a moron.

Seenkao

  • Jr. Member
  • **
  • Posts: 55
Re: FPC 3.2.x series branched, trunk update to 3.3.1
« Reply #193 on: May 20, 2020, 12:01:10 pm »
Thaddy, я был бы благодарен! Потому что я даже не знаю с какой стороны браться за всё это. Лезть куда-то в глубину компилятора, не зная изначальных кодов... это ещё полгода изучения...

ZenGL с демками есть на сайте ZenGL версия 3.12, или на русскоязычном форуме версия 3.20.

Google translate:
I would be thankful! Because I don’t even know which side to take on all this. Climbing somewhere deep into the compiler without knowing the source codes ... this is another six months of study ...

ZenGL with demos is on the ZenGL website version 3.12, or on the Russian-language forum version 3.20.

PascalDragon

  • Hero Member
  • *****
  • Posts: 2101
  • Compiler Developer
Re: FPC 3.2.x series branched, trunk update to 3.3.1
« Reply #194 on: May 20, 2020, 01:23:49 pm »
I was just hoping that you were already facing a similar problem.
No, because I do not use ZenGL, but I am always prepared to run tests for it.
Note some of the finer details get lost in translation, as my wife (Lithuanian, fluent in Russian) explained.

Then I'll let you try to find out what is going wrong.

 

TinyPortal © 2005-2018